de.caff.util.settings.swing

## Class SwingDoublePreferenceProperty

- java.lang.Object
- - de.caff.util.settings.AbstractBasicChangeableItem
  - - de.caff.util.settings.AbstractBasicLocalizableChangeableItem
    - - de.caff.util.settings.swing.AbstractBasicSimpleEditableChangeableItem
      - - de.caff.util.settings.swing.SwingNumberProperty
        - - de.caff.util.settings.swing.SwingDoubleProperty
          - - de.caff.util.settings.swing.SwingDoublePreferenceProperty

- All Implemented Interfaces:
    ChangeableItem, DoublePreferenceProperty, PreferenceProperty, Property<java.lang.Double>, EditablePreferenceProperty, EditableProperty, java.io.Serializable

      public class SwingDoublePreferenceProperty
      extends SwingDoubleProperty
      implements DoublePreferenceProperty, EditablePreferenceProperty

  Editable double preference property.
  Author:
    Rammi
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface de.caff.util.settings.PreferenceProperty

      `PROPERTY_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SwingDoublePreferenceProperty(java.lang.String basicName, java.lang.String baseTag, double value)` Create a double preference property with maximum range, step 1 and the given default value.
    `SwingDoublePreferenceProperty(java.lang.String basicName, java.lang.String baseTag, double value, boolean autoSave)` Create a double preference property with maximum range, step 1 and the given default value.
    `SwingDoublePreferenceProperty(java.lang.String basicName, java.lang.String baseTag, double value, double step)` Create a double preference property with maximum range, step and the given default value.
    `SwingDoublePreferenceProperty(java.lang.String basicName, java.lang.String baseTag, double value, double step, boolean autoSave)` Create a double preference property with maximum range, step and the given default value.
    `SwingDoublePreferenceProperty(java.lang.String basicName, java.lang.String baseTag, double value, double minValue, double maxValue)` Create a double preference property with the given range, step 1 and the given default value.
    `SwingDoublePreferenceProperty(java.lang.String basicName, java.lang.String baseTag, double value, double minValue, double maxValue, boolean autoSave)` Create a double preference property with the given range, step 1 and the given default value.
    `SwingDoublePreferenceProperty(java.lang.String basicName, java.lang.String baseTag, double value, double minValue, double maxValue, double step)` Create a double preference property with the given range, step and the given default value.
    `SwingDoublePreferenceProperty(java.lang.String basicName, java.lang.String baseTag, double value, double minValue, double maxValue, double step, boolean autoSave)` Create a double preference property with the given range, step and the given default value.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `readFrom(java.util.prefs.Preferences preferences)` Read the property value from the preferences.
    `void` | `storeTo(java.util.prefs.Preferences preferences)` Store the current property value in the preferences.

    - ### Methods inherited from class de.caff.util.settings.swing.SwingDoubleProperty

      `getMaxValue, getMaxValueNumber, getMinValue, getMinValueNumber, getStep, getStepNumber, getValue, getValueNumber, setValue, setValue, setValueNumber`

    - ### Methods inherited from class de.caff.util.settings.swing.SwingNumberProperty

      `getEditorProvider`

    - ### Methods inherited from class de.caff.util.settings.AbstractBasicLocalizableChangeableItem

      `getBaseTag, getLabelString, getMenuString, getName, getString`

    - ### Methods inherited from class de.caff.util.settings.AbstractBasicChangeableItem

      `addValueChangeListener, addValueChangeListenerWeakly, firePropertyChange, fireValueChange, fireValueChange, fireValueChange, getBasicName, getPropertyName, removeValueChangeListener, removeValueChangeListenerWeakly`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface de.caff.util.settings.Property

      `getValue, setValue`

    - ### Methods inherited from interface de.caff.util.settings.swing.EditableProperty

      `getEditorProvider, getName`

    - ### Methods inherited from interface de.caff.util.settings.ChangeableItem

      `addValueChangeListener, addValueChangeListenerWeakly, removeValueChangeListener, removeValueChangeListenerWeakly`

- - ### Constructor Detail

    - #### SwingDoublePreferenceProperty

          public SwingDoublePreferenceProperty(@NotNull
                                               java.lang.String basicName,
                                               @NotNull
                                               java.lang.String baseTag,
                                               double value)

      Create a double preference property with maximum range, step 1 and the given default value.
      Parameters:
        `basicName` - property name
        `baseTag` - basic i18n tag
        `value` - default value

    - #### SwingDoublePreferenceProperty

          public SwingDoublePreferenceProperty(@NotNull
                                               java.lang.String basicName,
                                               @NotNull
                                               java.lang.String baseTag,
                                               double value,
                                               boolean autoSave)

      Create a double preference property with maximum range, step 1 and the given default value.
      Parameters:
        `basicName` - property name
        `baseTag` - basic i18n tag
        `value` - default value
        `autoSave` - save changes immediately?

    - #### SwingDoublePreferenceProperty

          public SwingDoublePreferenceProperty(@NotNull
                                               java.lang.String basicName,
                                               @NotNull
                                               java.lang.String baseTag,
                                               double value,
                                               double step)

      Create a double preference property with maximum range, step and the given default value.
      Parameters:
        `basicName` - property name
        `baseTag` - basic i18n tag
        `value` - default value
        `step` - step to be used for value when stepping

    - #### SwingDoublePreferenceProperty

          public SwingDoublePreferenceProperty(@NotNull
                                               java.lang.String basicName,
                                               @NotNull
                                               java.lang.String baseTag,
                                               double value,
                                               double step,
                                               boolean autoSave)

      Create a double preference property with maximum range, step and the given default value.
      Parameters:
        `basicName` - property name
        `baseTag` - basic i18n tag
        `value` - default value
        `step` - step to be used for value when stepping
        `autoSave` - save changes immediately?

    - #### SwingDoublePreferenceProperty

          public SwingDoublePreferenceProperty(@NotNull
                                               java.lang.String basicName,
                                               @NotNull
                                               java.lang.String baseTag,
                                               double value,
                                               double minValue,
                                               double maxValue)

      Create a double preference property with the given range, step 1 and the given default value.
      Parameters:
        `basicName` - property name
        `baseTag` - basic i18n tag
        `value` - default value
        `minValue` - minimal allowed value (included)
        `maxValue` - maximal allowed value (included)

    - #### SwingDoublePreferenceProperty

          public SwingDoublePreferenceProperty(@NotNull
                                               java.lang.String basicName,
                                               @NotNull
                                               java.lang.String baseTag,
                                               double value,
                                               double minValue,
                                               double maxValue,
                                               boolean autoSave)

      Create a double preference property with the given range, step 1 and the given default value.
      Parameters:
        `basicName` - property name
        `baseTag` - basic i18n tag
        `value` - default value
        `minValue` - minimal allowed value (included)
        `maxValue` - maximal allowed value (included)
        `autoSave` - save changes immediately?

    - #### SwingDoublePreferenceProperty

          public SwingDoublePreferenceProperty(@NotNull
                                               java.lang.String basicName,
                                               @NotNull
                                               java.lang.String baseTag,
                                               double value,
                                               double minValue,
                                               double maxValue,
                                               double step)

      Create a double preference property with the given range, step and the given default value.
      Parameters:
        `basicName` - property name
        `baseTag` - basic i18n tag
        `value` - default value
        `minValue` - minimal allowed value (included)
        `maxValue` - maximal allowed value (included)
        `step` - step to be used for value when stepping

    - #### SwingDoublePreferenceProperty

          public SwingDoublePreferenceProperty(@NotNull
                                               java.lang.String basicName,
                                               @NotNull
                                               java.lang.String baseTag,
                                               double value,
                                               double minValue,
                                               double maxValue,
                                               double step,
                                               boolean autoSave)

      Create a double preference property with the given range, step and the given default value.
      Parameters:
        `basicName` - property name
        `baseTag` - basic i18n tag
        `value` - default value
        `minValue` - minimal allowed value (included)
        `maxValue` - maximal allowed value (included)
        `step` - step to be used for value when stepping
        `autoSave` - save changes immediately?

  - ### Method Detail

    - #### readFrom

          public void readFrom(@NotNull
                               java.util.prefs.Preferences preferences)

      Read the property value from the preferences.
      Specified by:
        `readFrom` in interface `PreferenceProperty`
      Parameters:
        `preferences` - preferences from where to read the property value

    - #### storeTo

          public void storeTo(@NotNull
                              java.util.prefs.Preferences preferences)

      Store the current property value in the preferences.
      Specified by:
        `storeTo` in interface `PreferenceProperty`
      Parameters:
        `preferences` - preferences where to store the property value